Update a schedule item with data provided in the request body. JSON format is expected. Requires supervisor access to project and task type.
PUT
/data/schedule-items/{instance_id}
curl
curl -X PUT "http://api.example.com/data/schedule-items/a24a6ea4-ce75-4665-a070-57453082c25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"man_days": 12
}'
import requests
url = "http://api.example.com/data/schedule-items/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"man_days": 12
}
response = requests.put(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request PUT 'http://api.example.com/data/schedule-items/a24a6ea4-ce75-4665-a070-57453082c25' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"man_days":12.0}'
Request examples
{
"man_days": 12.0
}
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"project_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"task_type_id": "c24a6ea4-ce75-4665-a070-57453082c25",
"object_id": "d24a6ea4-ce75-4665-a070-57453082c25",
"man_days": 12.0,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}